> ## Documentation Index > Fetch the complete documentation index at: https://docs.restaurant365.com/llms.txt > Use this file to discover all available pages before exploring further. # /public/accounting/v1/posmapping > Retrieves POS mappings grouped by type (Sales Account, Payment Type, Job, Paid Out) with enriched data including GL accounts, location, legal entity, and job details ## OpenAPI ````json GET /public/accounting/v1/posmapping { "openapi": "3.0.1", "info": { "title": "R365.PublicApi", "contact": { "name": "R365 Services Team", "email": "r365@restaurant365.com" }, "version": "1.0" }, "security": [ { "Bearer": [] } ], "paths": { "/public/accounting/v1/posmapping": { "get": { "tags": [ "accounting" ], "description": "Retrieves POS mappings grouped by type (Sales Account, Payment Type, Job, Paid Out) with enriched data including GL accounts, location, legal entity, and job details", "parameters": [ { "name": "modifiedOn", "in": "query", "description": "Modified date (returns records modified on or after this date). If not provided, returns the full list", "schema": { "type": "string", "format": "date-time" } }, { "name": "posMappingId", "in": "query", "description": "A specific POS mapping identifier (GUID)", "schema": { "type": "string", "format": "uuid" } } ], "responses": { "200": { "description": "POS Mappings grouped by type with enriched data.", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/GetPosMappingResponse" } } } }, "422": { "description": "Unprocessable Content", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/R365.Accounting.Public.Models.R365Error" } } } } } } } }, "components": { "schemas": { "GetPosMappingResponse": { "type": "object", "properties": { "posMappingSalesAccount": { "type": "array", "items": { "$ref": "#/components/schemas/PosMappingSalesAccount" }, "description": "Sales account mappings.", "nullable": true }, "posMappingPaymentType": { "type": "array", "items": { "$ref": "#/components/schemas/PosMappingPaymentType" }, "description": "Payment type mappings.", "nullable": true }, "posMappingJob": { "type": "array", "items": { "$ref": "#/components/schemas/PosMappingJob" }, "description": "Job title mappings.", "nullable": true }, "posMappingPaidOut": { "type": "array", "items": { "$ref": "#/components/schemas/PosMappingPaidOut" }, "description": "Paid-out type mappings.", "nullable": true } }, "description": "Response grouping POS mappings by type for the enriched POS mapping endpoint." }, "R365.Accounting.Public.Models.R365Error": { "type": "object", "properties": { "errorCode": { "type": "string", "nullable": true }, "innerError": { "$ref": "#/components/schemas/R365.Accounting.Public.Models.R365Error" } } }, "PosMappingSalesAccount": { "type": "object", "properties": { "id": { "type": "string", "description": "Unique identifier of the POS mapping.", "format": "uuid" }, "name": { "type": "string", "description": "POS account name.", "nullable": true }, "glAccount": { "$ref": "#/components/schemas/GlAccount" }, "modifiedOn": { "type": "string", "description": "Timestamp of the most recent modification.", "format": "date-time", "nullable": true }, "serviceType": { "type": "string", "description": "Service type associated with this sales account.", "nullable": true }, "category": { "$ref": "#/components/schemas/Category" }, "type": { "type": "string", "description": "Sales account type.", "nullable": true } }, "description": "POS mapping for a sales account." }, "PosMappingPaymentType": { "type": "object", "properties": { "id": { "type": "string", "description": "Unique identifier of the POS mapping.", "format": "uuid" }, "name": { "type": "string", "description": "POS account name.", "nullable": true }, "glAccount": { "$ref": "#/components/schemas/GlAccount" }, "modifiedOn": { "type": "string", "description": "Timestamp of the most recent modification.", "format": "date-time", "nullable": true }, "exception": { "type": "string", "description": "Exception rule applied to this payment type mapping.", "nullable": true }, "paymentGroup": { "type": "string", "description": "Payment group this payment type belongs to.", "nullable": true } }, "description": "POS mapping for a payment type." }, "PosMappingJob": { "type": "object", "properties": { "id": { "type": "string", "description": "Unique identifier of the POS mapping.", "format": "uuid" }, "name": { "type": "string", "description": "POS account name.", "nullable": true }, "glAccount": { "$ref": "#/components/schemas/GlAccount" }, "modifiedOn": { "type": "string", "description": "Timestamp of the most recent modification.", "format": "date-time", "nullable": true }, "jobCode": { "type": "string", "description": "External job code.", "nullable": true }, "department": { "type": "string", "description": "Department the job belongs to.", "nullable": true }, "location": { "$ref": "#/components/schemas/Location" } }, "description": "POS mapping for a job title." }, "PosMappingPaidOut": { "type": "object", "properties": { "id": { "type": "string", "description": "Unique identifier of the POS mapping.", "format": "uuid" }, "name": { "type": "string", "description": "POS account name.", "nullable": true }, "glAccount": { "$ref": "#/components/schemas/GlAccount" }, "modifiedOn": { "type": "string", "description": "Timestamp of the most recent modification.", "format": "date-time", "nullable": true }, "excludeFromPOSImport": { "type": "boolean", "description": "Indicates whether this paid-out type is excluded from POS import processing." } }, "description": "POS mapping for a paid-out type." }, "GlAccount": { "type": "object", "properties": { "id": { "type": "string", "description": "GL Account identifier.", "format": "uuid" }, "name": { "type": "string", "description": "GL Account name.", "nullable": true }, "number": { "type": "string", "description": "GL Account number (e.g., \"4010-100\").", "nullable": true }, "glType": { "type": "string", "description": "GL Type name (e.g., \"Sales\", \"Revenue\", \"Expense\").", "nullable": true } }, "description": "GL Account summary for POS mapping response." }, "Category": { "type": "object", "properties": { "id": { "type": "string", "description": "Unique identifier of the category.", "format": "uuid" }, "name": { "type": "string", "description": "Category name.", "nullable": true } }, "description": "POS category reference with identifier and name." }, "Location": { "type": "object", "properties": { "id": { "type": "string", "description": "Unique identifier (GUID) of the location.", "format": "uuid" }, "name": { "type": "string", "description": "Display name of the location.", "nullable": true }, "number": { "type": "string", "description": "Location number.", "nullable": true }, "legalEntityRef": { "$ref": "#/components/schemas/LegalEntityRef" } }, "description": "Location reference for POS mapping responses." }, "LegalEntityRef": { "type": "object", "properties": { "id": { "type": "string", "description": "Unique identifier (GUID) of the legal entity.", "format": "uuid" }, "name": { "type": "string", "description": "Display name of the legal entity.", "nullable": true }, "number": { "type": "string", "description": "Legal entity number.", "nullable": true } }, "description": "Legal entity reference for POS mapping responses." } }, "securitySchemes": { "Bearer": { "type": "http", "description": "Put **_ONLY_** your JWT Bearer token on textbox below!", "scheme": "Bearer", "bearerFormat": "JWT" } } } } ````